<?php

namespace Asadi\Faculty;

use User;

class Faculty
{
    /**
     * $faculty object.
     */
    protected $faculty;

    /**
     * Constructor.
     */
    public function __construct(\Asadi\Faculty\Interfaces\FacultyRepositoryInterface $faculty)
    {
        $this->faculty = $faculty;
    }

    /**
     * Returns count of faculty.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.faculty.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->faculty->pushCriteria(new \Litepie\Asadi\Repositories\Criteria\FacultyUserCriteria());
        }

        $faculty = $this->faculty->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('faculty::' . $view, compact('faculty'))->render();
    }
}
