<?php

namespace Asadi\Faculty\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Asadi\Faculty\Interfaces\FacultyRepositoryInterface;

class FacultyPublicController extends BaseController
{
    // use FacultyWorkflow;

    /**
     * Constructor.
     *
     * @param type \Asadi\Faculty\Interfaces\FacultyRepositoryInterface $faculty
     *
     * @return type
     */
    public function __construct(FacultyRepositoryInterface $faculty)
    {
        $this->repository = $faculty;
        parent::__construct();
    }

    /**
     * Show faculty's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $faculties = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('faculty::public.faculty.index', compact('faculties'))->render();
    }

    /**
     * Show faculty.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $faculty = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('faculty::public.faculty.show', compact('faculty'))->render();
    }

}
