<?php

namespace Asadi\Faculty\Workflow;

use Asadi\Faculty\Models\Faculty;
use Asadi\Faculty\Notifications\Faculty as FacultyNotifyer;
use Notification;

class FacultyNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Faculty $faculty
     *
     * @return void
     */
    public function complete(Faculty $faculty)
    {
        return Notification::send($faculty->user, new FacultyNotifyer($faculty, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Faculty $faculty
     *
     * @return void
     */
    public function verify(Faculty $faculty)
    {
        return Notification::send($faculty->user, new FacultyNotifyer($faculty, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Faculty $faculty
     *
     * @return void
     */
    public function approve(Faculty $faculty)
    {
        return Notification::send($faculty->user, new FacultyNotifyer($faculty, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Faculty $faculty
     *
     * @return void
     */
    public function publish(Faculty $faculty)
    {
        return Notification::send($faculty->user, new FacultyNotifyer($faculty, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Faculty $faculty
     *
     * @return void
     */
    public function archive(Faculty $faculty)
    {
        return Notification::send($faculty->user, new FacultyNotifyer($faculty, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Faculty $faculty
     *
     * @return void
     */
    public function unpublish(Faculty $faculty)
    {
        return Notification::send($faculty->user, new FacultyNotifyer($faculty, 'unpublish'));;

    }
}
